Bug 168764 - net-mgmt/zenoss run-depends on bash, fails on bash-static
net-mgmt/zenoss run-depends on bash, fails on bash-static
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: jgh
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 19:40 UTC by fbsd-ports
Modified: 2012-06-18 19:00 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description fbsd-ports 2012-06-06 19:40:02 UTC
	net-mgmt/zenoss has a run-dependency on bash and the
	make install fails if bash-static is installed instead.

Fix: 

The run-depend should be conditional on either bash or bash-static ?
	If this is possible ?
How-To-Repeat: 	cd /usr/ports/shells/bash-static
	make install
	cd /usr/ports/net-mgmt/zenoss
	make install

--------

# make install
===>  Installing for zenoss-3.1.0_1
===>   zenoss-3.1.0_1 depends on package: bash>=4.1 - not found
===>    Verifying install for bash>=4.1 in /usr/ports/shells/bash

===>  bash-4.2.28 conflicts with installed package(s): 
      bash-static-4.2.28

      They install files into the same place.
      You may want to stop build with Ctrl + C.
===>  License check disabled, port has not defined LICENSE

===>  bash-4.2.28 conflicts with installed package(s): 
      bash-static-4.2.28

      They will not build together.
      Please remove them first with pkg_delete(1).
*** Error code 1

Stop in /usr/ports/shells/bash.
*** Error code 1

Stop in /usr/ports/net-mgmt/zenoss.
#
--------
Comment 1 jgh freebsd_committer 2012-06-06 19:52:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 jgh freebsd_committer 2012-06-07 19:09:36 UTC
State Changed
From-To: open->analyzed

solution in process
Comment 3 jgh freebsd_committer 2012-06-13 22:58:08 UTC
This patch will address this issue, however this will be incorporated into
the update port when it is upgraded to 3.2.0 or greater.

https://redports.org/changeset?reponame=&new=4413%40zenoss%2Fnet-mgmt%2Fzenoss&old=4313%40zenoss%2Fnet-mgmt%2Fzenoss

-jgh

-- 
Jason Helfman
FreeBSD Committer | http://people.freebsd.org/~jgh | The Power To Serve
Comment 4 dfilter freebsd_committer 2012-06-18 18:55:53 UTC
jgh         2012-06-18 17:55:38 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/zenoss      Makefile 
  Log:
  - move maintainership over from pphillips@experts-exchange.com to zenoss@experts-exchange.com
  - adding options for bash static, but not changing default of bash [1]
  - adding in local build issue fix for a umask issue (based on mail from fbsd-ports@opsec.eu ) [1]
  - fix build issue conflict for an installed subversion [2]
  - fix build issues with font directory ( based on mail from fbsd-ports@opsec.eu )
  - pet portlint
  
  Note to Zenoss users: There is no need to update your installation, if it is already installed.
  
  PR:     ports/168764 [1]
  PR:     ports/165918 [2]
  Submitted by:   jgh@ [2], fbsd-ports@opsec.eu,jgh [1]
  Reviewed by:    maintainer, pphillips@experts-exchange.com
  Approved by:    maintainer, pphillips@experts-exchange.com
  
  Revision  Changes    Path
  1.3       +25 -7     ports/net-mgmt/zenoss/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 jgh freebsd_committer 2012-06-18 18:57:57 UTC
State Changed
From-To: analyzed->open

maintainer approved patch
Comment 6 jgh freebsd_committer 2012-06-18 18:59:05 UTC
State Changed
From-To: open->closed

fix has been committed, thanks for the report!